Bug 2269554 - copyq-8.0.0 is available
Summary: copyq-8.0.0 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: copyq
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gerald Cox
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2024-03-14 15:39 UTC by Upstream Release Monitoring
Modified: 2024-03-23 00:58 UTC (History)
3 users (show)

Fixed In Version: copyq-8.0.0-1.fc41 copyq-8.0.0-1.fc40 copyq-8.0.0-1.fc38 copyq-8.0.0-1.fc39
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-03-14 18:32:31 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
Update to 8.0.0 (#2269554) (619 bytes, patch)
2024-03-14 15:39 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2024-03-14 15:39:04 UTC
Releases retrieved: 8.0.0
Upstream release that is considered latest: 8.0.0
Current version/release in rawhide: 7.1.0-3.fc40
URL: https://hluk.github.io/CopyQ

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://docs.fedoraproject.org/en-US/package-maintainers/Upstream_Release_Monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/6205/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/copyq

Comment 1 Upstream Release Monitoring 2024-03-14 15:39:17 UTC
Created attachment 2021613 [details]
Update to 8.0.0 (#2269554)

Comment 2 Upstream Release Monitoring 2024-03-14 15:55:52 UTC
the-new-hotness/release-monitoring.org's scratch build of copyq-8.0.0-1.fc38.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=114949135

Comment 3 Gerald Cox 2024-03-14 16:54:05 UTC
8.0.0

Repository: hluk/CopyQ · Tag: v8.0.0 · Commit: 73afa30 · Released by: hluk

Added

    Tab item limit has been increased to 100,000 (#1144).

    New macOS builds for M1/arm64 architectures are available (#1884).

    New Debian/Raspbian builds for arm/arm64 architectures are available.

    Allows overriding item activation using paste().

    Allows overriding script functions to handle some events: items
    added/removed/changed (onItemsAdded(), onItemsRemoved(),
    onItemsChanged()), tab items loaded (onItemsLoaded()), tab selected
    (onTabSelected()) (#59).

    Allows to cancel removing items by overriding onItemsRemoved() script
    function. If the exit code is non-zero (for example fail() is called),
    items will not be removed. But this can also cause a new items not to be
    added if the tab is full.

    Allows overriding current clipboard owner (currentClipboardOwner()) used by
    the clipboard monitor process. By default it uses currentWindowTitle().

    Allows using Ctrl+C to copy items even if search entry box is focused unless
    it has a selection (#2440).

    Linux: Adds build option to disable X11 support (cmake -DWITH_X11=OFF ...)
    (#2532).

    Linux: Adds build option to disable autostart which is useful mainly for
    Flatpak builds (#2517, #2518).

Changed

    Windows binaries (which are 64 bit) are now by default installed to "Program
    Files" instead of incorrect "Program Files (X86)". After installing the new
    version, the old path must be manually removed.

    Windows and macOS builds are now based on newer Qt 6.

    Avoids accessing clipboard from password managers (#2282, #2495, #2500). This
    disallows storing and processing such data. Specifically, the clipboard is
    ignored if it contains following data: Clipboard Viewer Ignore on Windows,
    application/x-nspasteboard-concealed-type on macOS,
    x-kde-passwordManagerHint with secret value on Linux.

    Large data items in tabs are now stored in separate location unless
    Synchronize or Encryption plugins are active for the tab. This allows storing
    more items in tabs while using less memory. The data path can be printed via
    copyq info data command and overridden using COPYQ_ITEM_DATA_PATH
    environment variable. To disable this functionality use copyq config item_data_threshold -1 - the default value is 1024 and items larger than
    this amount of bytes are stored in the separate location.

    Command dialog now shows advanced properties for built-in commands allowing
    to copy the command line to set global shortcut in system.

    Global shortcuts are now also visible in menus (#2382).

    Avoids pasting all image formats as new item.

    Display commands are now applied to tray menu items too.

    Linux: Last stored text item is updated from any new mouse selection only if
    the item content matches the start or the end of the selection (but not the
    middle like previously). This may avoid some unexpected item updates.

    Updates icon font from Font-Awesome 6.5.1.

Fixed

    Fixes drag'n'drop ordering for plugins and commands. This could have caused a
    missing icon, app crash or various inconsistencies.

    Fixes managing keys with gpg 2.1 and above (#2463, #1208).

    Fixes creating duplicate item with Synchronize plugin when adding a tag for
    example (#2355).

    Fixes conflicting notes and text with Synchronize plugin (#2355)

    Fixes deleted global object after running scripts (#2542).

    Wayland: Fixes copying images to another app instance.

Comment 4 Fedora Update System 2024-03-14 17:31:13 UTC
FEDORA-2024-076b4dfb3e (copyq-8.0.0-1.fc41) has been submitted as an update to Fedora 41.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-076b4dfb3e

Comment 5 Fedora Update System 2024-03-14 18:16:51 UTC
FEDORA-2024-c54410a93c (copyq-8.0.0-1.fc40) has been submitted as an update to Fedora 40.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-c54410a93c

Comment 6 Fedora Update System 2024-03-14 18:17:24 UTC
FEDORA-2024-7fef630352 (copyq-8.0.0-1.fc39) has been submitted as an update to Fedora 39.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-7fef630352

Comment 7 Fedora Update System 2024-03-14 18:17:50 UTC
FEDORA-2024-9a332bd463 (copyq-8.0.0-1.fc38) has been submitted as an update to Fedora 38.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-9a332bd463

Comment 8 Fedora Update System 2024-03-14 18:32:31 UTC
FEDORA-2024-076b4dfb3e (copyq-8.0.0-1.fc41) has been pushed to the Fedora 41 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2024-03-15 02:02:56 UTC
FEDORA-2024-c54410a93c has been pushed to the Fedora 40 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-c54410a93c`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-c54410a93c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2024-03-15 02:05:32 UTC
FEDORA-2024-7fef630352 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-7fef630352`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-7fef630352

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2024-03-15 02:42:35 UTC
FEDORA-2024-9a332bd463 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-9a332bd463`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-9a332bd463

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2024-03-23 00:37:06 UTC
FEDORA-2024-c54410a93c (copyq-8.0.0-1.fc40) has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2024-03-23 00:52:24 UTC
FEDORA-2024-9a332bd463 (copyq-8.0.0-1.fc38) has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2024-03-23 00:58:03 UTC
FEDORA-2024-7fef630352 (copyq-8.0.0-1.fc39) has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.